CliMetaData (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.cli, annotation type: CliMetaData

Package org.apache.geode.management.cli

# Annotation Interface CliMetaData

@Retention(RUNTIME) @Target({METHOD,PARAMETER}) public @interface CliMetaData
An annotation to define additional meta-data for commands.

Since:
  GemFire 7.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `CliMetaData.AvailabilityMetadata`
  Deprecated.
  since Geode1.2, not used at all

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `interceptor`
  The fully qualified name of a class which implements the `CliAroundInterceptor` interface in order to provide additional pre- and post-execution functionality for a command.
  `boolean`
  `isFileDownloadOverHttp`
  Indicates when executed over http, is this command downloading files from the member.
  `boolean`
  `isFileUploaded`
  Indicates whether this command would require fileData to be sent from the client.
  `boolean`
  `isPersisted`
  Indicates that the effect of the command is persisted or the commands affects the persistent configuration
  `String[]`
  `relatedTopic`
  In help, topics that are related to this command
  `boolean`
  `shellOnly`
  Indicates that the command will only run in the gfsh shell Gfsh ExecutionStrategy will use this flag to determine whether to invoke remote call or not.
  `String`
  `valueSeparator`
  Deprecated.
  since 1.2, Command methods may override both the delimiter and the escape through spring shell's `splittingRegex` option context

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANNOTATION_DEFAULT_VALUE`
  Represents a default value to an option of a command.
  `static final String`
  `ANNOTATION_NULL_VALUE`
  Represents a null value to an option of a command.

- ## Field Details

  - ### ANNOTATION_DEFAULT_VALUE

    static final String ANNOTATION_DEFAULT_VALUE
    Represents a default value to an option of a command.
    See Also:
      - Constant Field Values

  - ### ANNOTATION_NULL_VALUE

    static final String ANNOTATION_NULL_VALUE
    Represents a null value to an option of a command.
    See Also:
      - Constant Field Values

- ## Element Details

  - ### shellOnly

    boolean shellOnly
    Indicates that the command will only run in the gfsh shell Gfsh ExecutionStrategy will use this flag to determine whether to invoke remote call or not.
    Returns:
      whether the command will only run in the gfsh shell
    Default:
      false

  - ### isFileDownloadOverHttp

    boolean isFileDownloadOverHttp
    Indicates when executed over http, is this command downloading files from the member. When this is set to true, the RestHttpOperationInvoker will use an extractor to extract the inputstream in the response to a temporary file and it's up to your command's interceptor's postExecution to use that temp file to fit your need.
    Returns:
      whether this command downloads files from the member over http
    Default:
      false

  - ### isFileUploaded

    boolean isFileUploaded
    Indicates whether this command would require fileData to be sent from the client. If this is true, the preExecution of the interceptor needs to return a FileResult
    Returns:
      whether this command would require fileData to be sent from the client
    Default:
      false

  - ### isPersisted

    boolean isPersisted
    Indicates that the effect of the command is persisted or the commands affects the persistent configuration
    Returns:
      whether the effect of the command is persisted or the commands affects the persistent configuration
    Default:
      false

  - ### relatedTopic

    String[] relatedTopic
    In help, topics that are related to this command
    Returns:
      topics that are related to this command
    Default:
      {"Geode"}

  - ### interceptor

    String interceptor
    The fully qualified name of a class which implements the `CliAroundInterceptor` interface in order to provide additional pre- and post-execution functionality for a command.
    Returns:
      the fully qualified name of a class which implements the `CliAroundInterceptor` interface
    Default:
      "__NULL__"

  - ### valueSeparator

    @Deprecated String valueSeparator
    Deprecated.
    since 1.2, Command methods may override both the delimiter and the escape through spring shell's `splittingRegex` option context
    String used as a separator when multiple values for a command are specified
    Returns:
      the String used as a separator when multiple values for a command are specified
    Default:
      "__NULL__"